STROVERLAP(3pub)

NAME
stroverlap - check whether two strings overlap

SYNOPSIS
#include <publib.h>
int stroverlap(const char *s, const char *t);

DESCRIPTION
stroverlap checks whether the storage used by two strings overlap (i.e., if they even partially stored in the same place in memory).

RETURN VALUE
stroverlap returns 0 for no overlap, nonzero for any overlap at all.

SEE ALSO
publib(3), memoverlap(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)